## libvmime 0.8.0+cvs20061009

=== SConstruct ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Package version number
 packageVersionMajor = 0
 packageVersionMinor = 8
-packageVersionMicro = 0
+packageVersionMicro = 1
 
 # API version number (libtool)
 #
@@ -105,6 +105,7 @@
 	'encoding.cpp', 'encoding.hpp',
 	'exception.cpp', 'exception.hpp',
 	'fileAttachment.cpp', 'fileAttachment.hpp',
+	'generatedMessageAttachment.hpp', 'generatedMessageAttachment.cpp',
 	'header.cpp', 'header.hpp',
 	'headerFieldFactory.cpp', 'headerFieldFactory.hpp',
 	'headerField.cpp', 'headerField.hpp',
@@ -115,6 +116,7 @@
 	'mailboxGroup.cpp', 'mailboxGroup.hpp',
 	'mailboxList.cpp', 'mailboxList.hpp',
 	'mediaType.cpp', 'mediaType.hpp',
+	'messageAttachment.hpp',
 	'messageBuilder.cpp', 'messageBuilder.hpp',
 	'message.cpp', 'message.hpp',
 	'messageId.cpp', 'messageId.hpp',
@@ -125,6 +127,7 @@
 	'path.cpp', 'path.hpp',
 	'parameter.cpp', 'parameter.hpp',
 	'parameterizedHeaderField.cpp', 'parameterizedHeaderField.hpp',
+	'parsedMessageAttachment.cpp', 'parsedMessageAttachment.hpp',
 	'parserHelpers.hpp',
 	'plainTextPart.cpp', 'plainTextPart.hpp',
 	'platformDependant.cpp', 'platformDependant.hpp',
@@ -137,6 +140,7 @@
 	'textPart.hpp',
 	'types.hpp',
 	'word.cpp', 'word.hpp',
+	'wordEncoder.cpp', 'wordEncoder.hpp',
 	'vmime.hpp',
 	# ==============================  Utility  =============================
 	'utility/childProcess.hpp',
@@ -146,7 +150,7 @@
 	'utility/path.cpp', 'utility/path.hpp',
 	'utility/progressListener.cpp', 'utility/progressListener.hpp',
 	'utility/random.cpp', 'utility/random.hpp',
-	'utility/smartPtr.hpp',
+	'utility/smartPtr.cpp', 'utility/smartPtr.hpp',
 	'utility/stream.cpp', 'utility/stream.hpp',
 	'utility/stringProxy.cpp', 'utility/stringProxy.hpp',
 	'utility/stringUtils.cpp', 'utility/stringUtils.hpp',
@@ -195,9 +199,12 @@
 
 libvmime_messaging_sources = [
 	'net/builtinServices.inl',
+	'net/connectionInfos.hpp',
+	'net/defaultConnectionInfos.cpp', 'net/defaultConnectionInfos.hpp',
 	'net/events.cpp', 'net/events.hpp',
 	'net/folder.cpp', 'net/folder.hpp',
 	'net/message.cpp', 'net/message.hpp',
+	'net/securedConnectionInfos.hpp',
 	'net/service.cpp', 'net/service.hpp',
 	'net/serviceFactory.cpp', 'net/serviceFactory.hpp',
 	'net/serviceInfos.cpp', 'net/serviceInfos.hpp',
@@ -212,6 +219,7 @@
 libvmime_net_tls_sources = [
 	'net/tls/TLSSession.cpp', 'net/tls/TLSSession.hpp',
 	'net/tls/TLSSocket.cpp', 'net/tls/TLSSocket.hpp',
+	'net/tls/TLSSecuredConnectionInfos.cpp', 'net/tls/TLSSecuredConnectionInfos.hpp',
 	'security/cert/certificateChain.cpp', 'security/cert/certificateChain.hpp',
 	'security/cert/certificateVerifier.hpp',
 	'security/cert/defaultCertificateVerifier.cpp', 'security/cert/defaultCertificateVerifier.hpp',
@@ -227,12 +235,14 @@
 			'net/pop3/POP3Store.cpp',        'net/pop3/POP3Store.hpp',
 			'net/pop3/POP3SStore.cpp',       'net/pop3/POP3SStore.hpp',
 			'net/pop3/POP3Folder.cpp',       'net/pop3/POP3Folder.hpp',
-			'net/pop3/POP3Message.cpp',      'net/pop3/POP3Message.hpp'
+			'net/pop3/POP3Message.cpp',      'net/pop3/POP3Message.hpp',
+			'net/pop3/POP3Utils.cpp',        'net/pop3/POP3Utils.hpp'
 		]
 	],
 	[
 		'smtp',
 		[
+			'net/smtp/SMTPResponse.cpp',     'net/smtp/SMTPResponse.hpp',
 			'net/smtp/SMTPServiceInfos.cpp', 'net/smtp/SMTPServiceInfos.hpp',
 			'net/smtp/SMTPTransport.cpp',    'net/smtp/SMTPTransport.hpp',
 			'net/smtp/SMTPSTransport.cpp',   'net/smtp/SMTPSTransport.hpp'
@@ -324,23 +334,8 @@
 
 libvmimetest_sources = [
 	'tests/testRunner.cpp',
+	'tests/testUtils.cpp',
 	# ==============================  Parser  ==============================
 	'tests/parser/attachmentHelperTest.cpp',
 	'tests/parser/bodyPartTest.cpp',
 	'tests/parser/charsetTest.cpp',
-	'tests/parser/datetimeTest.cpp',
-	'tests/parser/dispositionTest.cpp',
-	'tests/parser/encoderTest.cpp',
-	'tests/parser/headerTest.cpp',
-	'tests/parser/mailboxTest.cpp',
-	'tests/parser/mediaTypeTest.cpp',
-	'tests/parser/messageIdTest.cpp',
-	'tests/parser/messageIdSequenceTest.cpp',
-	'tests/parser/pathTest.cpp',
-	'tests/parser/parameterTest.cpp',
-	'tests/parser/textTest.cpp',
-	# ==============================  Utility  =============================
-	'tests/utility/filteredStreamTest.cpp',
-	'tests/utility/stringProxyTest.cpp',
-	'tests/utility/stringUtilsTest.cpp',
-	'tests/utility/pathTest.cpp',
