=== tests/charset/Makefile ===


main: main.cpp ../../libvmime-debug.a
	g++ -g -o main main.cpp -I../.. ../../libvmime-debug.a -lgnutls -lgsasl
