## libvmime 0.8.1

=== SConstruct ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # API version number (libtool)
 #
 # Increment this number only immediately before a public release.
-# This is independant from package version number.
+# This is independent from package version number.
 #
 # See: http://www.gnu.org/software/libtool/manual.html#Libtool-versioning
 #
@@ -130,7 +130,7 @@
 	'parsedMessageAttachment.cpp', 'parsedMessageAttachment.hpp',
 	'parserHelpers.hpp',
 	'plainTextPart.cpp', 'plainTextPart.hpp',
-	'platformDependant.cpp', 'platformDependant.hpp',
+	'platform.cpp', 'platform.hpp',
 	'propertySet.cpp', 'propertySet.hpp',
 	'relay.cpp', 'relay.hpp',
 	'stringContentHandler.cpp', 'stringContentHandler.hpp',
@@ -339,3 +339,4 @@
 	'tests/parser/attachmentHelperTest.cpp',
 	'tests/parser/bodyPartTest.cpp',
 	'tests/parser/charsetTest.cpp',
+	'tests/parser/datetimeTest.cpp',
