## libvmime 0.9.0

=== SConstruct ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 # Package version number
 packageVersionMajor = 0
-packageVersionMinor = 8
-packageVersionMicro = 1
+packageVersionMinor = 9
+packageVersionMicro = 0
 
 # API version number (libtool)
 #
@@ -93,15 +93,6 @@
 	'defaultAttachment.cpp', 'defaultAttachment.hpp',
 	'disposition.cpp', 'disposition.hpp',
 	'emptyContentHandler.cpp', 'emptyContentHandler.hpp',
-	'encoder.cpp', 'encoder.hpp',
-	'encoder7bit.cpp', 'encoder7bit.hpp',
-	'encoder8bit.cpp', 'encoder8bit.hpp',
-	'encoderB64.cpp', 'encoderB64.hpp',
-	'encoderBinary.cpp', 'encoderBinary.hpp',
-	'encoderDefault.cpp', 'encoderDefault.hpp',
-	'encoderFactory.cpp', 'encoderFactory.hpp',
-	'encoderQP.cpp', 'encoderQP.hpp',
-	'encoderUUE.cpp', 'encoderUUE.hpp',
 	'encoding.cpp', 'encoding.hpp',
 	'exception.cpp', 'exception.hpp',
 	'fileAttachment.cpp', 'fileAttachment.hpp',
@@ -151,11 +142,22 @@
 	'utility/progressListener.cpp', 'utility/progressListener.hpp',
 	'utility/random.cpp', 'utility/random.hpp',
 	'utility/smartPtr.cpp', 'utility/smartPtr.hpp',
+	'utility/smartPtrInt.cpp', 'utility/smartPtrInt.hpp',
 	'utility/stream.cpp', 'utility/stream.hpp',
 	'utility/stringProxy.cpp', 'utility/stringProxy.hpp',
 	'utility/stringUtils.cpp', 'utility/stringUtils.hpp',
 	'utility/url.cpp', 'utility/url.hpp',
 	'utility/urlUtils.cpp', 'utility/urlUtils.hpp',
+	# -- encoder
+	'utility/encoder/encoder.cpp', 'utility/encoder/encoder.hpp',
+	'utility/encoder/sevenBitEncoder.cpp', 'utility/encoder/sevenBitEncoder.hpp',
+	'utility/encoder/eightBitEncoder.cpp', 'utility/encoder/eightBitEncoder.hpp',
+	'utility/encoder/b64Encoder.cpp', 'utility/encoder/b64Encoder.hpp',
+	'utility/encoder/binaryEncoder.cpp', 'utility/encoder/binaryEncoder.hpp',
+	'utility/encoder/defaultEncoder.cpp', 'utility/encoder/defaultEncoder.hpp',
+	'utility/encoder/encoderFactory.cpp', 'utility/encoder/encoderFactory.hpp',
+	'utility/encoder/qpEncoder.cpp', 'utility/encoder/qpEncoder.hpp',
+	'utility/encoder/uuEncoder.cpp', 'utility/encoder/uuEncoder.hpp',
 	# ===============================  MDN  ================================
 	'mdn/MDNHelper.cpp', 'mdn/MDNHelper.hpp',
 	'mdn/MDNInfos.cpp', 'mdn/MDNInfos.hpp',
@@ -269,7 +271,10 @@
 			'net/maildir/maildirStore.cpp',        'net/maildir/maildirStore.hpp',
 			'net/maildir/maildirFolder.cpp',       'net/maildir/maildirFolder.hpp',
 			'net/maildir/maildirMessage.cpp',      'net/maildir/maildirMessage.hpp',
-			'net/maildir/maildirUtils.cpp',        'net/maildir/maildirUtils.hpp'
+			'net/maildir/maildirUtils.cpp',        'net/maildir/maildirUtils.hpp',
+			'net/maildir/maildirFormat.cpp',       'net/maildir/maildirFormat.hpp',
+			'net/maildir/format/kmailMaildirFormat.cpp',    'net/maildir/format/kmailMaildirFormat.hpp',
+			'net/maildir/format/courierMaildirFormat.cpp',  'net/maildir/format/courierMaildirFormat.hpp'
 		]
 	],
 	[
@@ -316,27 +321,3 @@
 #	'tests/Makefile.in',
 
 	# parser
-#	'tests/parser/Makefile.am',    # not generated
-#	'tests/parser/Makefile.in',
-
-	# charset
-#	'tests/charset/Makefile.am',   # not generated
-#	'tests/charset/Makefile.in',
-	'tests/charset/main.cpp',
-	'tests/charset/run-test.sh',
-	'tests/charset/test-suites/gnu.in.utf-8',
-	'tests/charset/test-suites/gnu.out.iso-8859-1',
-]
-
-libvmimetest_common = [
-	'tests/testUtils.hpp'
-]
-
-libvmimetest_sources = [
-	'tests/testRunner.cpp',
-	'tests/testUtils.cpp',
-	# ==============================  Parser  ==============================
-	'tests/parser/attachmentHelperTest.cpp',
-	'tests/parser/bodyPartTest.cpp',
-	'tests/parser/charsetTest.cpp',
-	'tests/parser/datetimeTest.cpp',
