## libvmime 0.9.1

=== SConstruct ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Package version number
 packageVersionMajor = 0
 packageVersionMinor = 9
-packageVersionMicro = 0
+packageVersionMicro = 1
 
 # API version number (libtool)
 #
@@ -261,6 +261,9 @@
 			'net/imap/IMAPMessage.cpp',      'net/imap/IMAPMessage.hpp',
 			'net/imap/IMAPTag.cpp',          'net/imap/IMAPTag.hpp',
 			'net/imap/IMAPUtils.cpp',        'net/imap/IMAPUtils.hpp',
+			'net/imap/IMAPMessagePartContentHandler.cpp', 'net/imap/IMAPMessagePartContentHandler.hpp',
+			'net/imap/IMAPStructure.cpp',    'net/imap/IMAPStructure.hpp',
+			'net/imap/IMAPPart.cpp',         'net/imap/IMAPPart.hpp',
 			'net/imap/IMAPParser.hpp',
 		]
 	],
@@ -307,17 +310,3 @@
 	'ChangeLog',
 	'COPYING',
 	'HACKING',
-	'INSTALL',
-	'NEWS',
-	'README',
-	'README.msvc',
-	'README.refcounting',
-	'SConstruct',
-	'vmime.doxygen'
-]
-
-libvmime_tests = [
-#	'tests/Makefile.am',    # not generated
-#	'tests/Makefile.in',
-
-	# parser
