=== debian/changelog ===
libvmime (0.9.1-5build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:33:05 +0000

libvmime (0.9.1-5) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [7b58f1d] rebuild patch queue from patch-queue branch
    - Adding patch to fix FTBFS after new gnutls28-dev version
      (Closes: #812969)
  * [57b4d94] lintian: fixing vcs-field-uses-insecure-uri
  * [30fedae] debian/rules: enable build with debug symbols
  * [cadb89e] debian/control: increase B-D on libgnutls28-dev
  * [198924f] debian/copyright: update copyright information

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Feb 2016 21:06:03 +0100

libvmime (0.9.1-4) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [b393a9e] Revert "debian/libvmime0.symbols: adding a symbol file"
    - Remove the libvmime0.symbol file again.
  * [966e4e3] debian/control: adjust Vcs-field from gitweb to cgit
  * [c2ae90e] debian/compat: bump to debhelper 8
  * [dfeb8b7] debian/rules: adopting changes after dh8 bump
    - Switching to dh-sequenzer within the rules file.
  * [f31b9d1] rebuild patch queue from patch-queue branch
    - Adjusting small changes to configure.in and Makefile.am to get the
      bootstap script working again.
  * [c1d3af2] rebuild 'configure' by the 'bootstrap' script
    - After switching to dh8 sequenzed handling we have to ensure that we
      have a re created configure and autotools scripts to build on newer
      platforms as well.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Sep 2015 22:02:59 +0200

libvmime (0.9.1-3) unstable; urgency=medium

  [ Edmund Grimley Evans ]
  * [64ad534] FTBFS: fix broken build on arm64 (Closes: #787212)

  * [7c3637a] debian/rules: small reformating and whitespace cleanup
  * [a3c75e9] debian/libvmime0.symbols: adding a symbol file
  * [8e9d301] debian/watch: correct watching url

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Aug 2015 22:31:59 +0200

libvmime (0.9.1-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * re import old versions from dsc files (closes: #783603)
  * [74b0dcf] adding a gbp.conf for debian/experimental
  * [b90e53e] rebuild patch queue from patch-queue branch
  * [fae8648] lintian: fix binary-control-field-duplicates-source
  * [94acb31] lintian: fix duplicate-long-description
  * [60bb666] debian/control: bumping standard-version and b-d on debhelper
  * [87b35c1] debian/control: reorder Depends fields
  * [4103962] debian/control: change Maintainer, adding Uploaders
  * [3c3742d] lintian: fixing hardening-no-fortify-functions
  * [2d21a68] debian/control: change Maintainer, adding myself as Uploader
  * [e9d2a23] debian/control: adding Vcs-Git and Vcs-Browser field
  * [b5fe641] debian/copyright: update to DEP-5 format
  * [fcee2c5] debian/gbp.conf: addopt to debian/sid branch

  [ Matthias Geerdsen ]
  * [60aef36] Update for gnutls28-dev
  * [e55ce7a] Switch to 3.0(quilt) format
  * [5e10a59] debian/control: remove b-d on libgcrypt20-dev

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 May 2015 22:05:36 +0200

libvmime (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge non-maintainer upload (closes: #610151, #529834)
  * Updated to Debian Policy v3.9.2.

 -- Mattias Nordstrom <mnordstr@debian.org>  Wed, 13 Jul 2011 14:45:56 +0300

libvmime (0.9.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping libtool la files in binary packages.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval Closes: #610151

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Feb 2011 09:46:41 +0100

libvmime (0.9.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use pkg-config to locate gnutls. (Closes: #529834)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Nov 2009 18:11:44 +0100

libvmime (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Added patch to fix FTBFS on GCC 4.4 (closes: #504941)
  * Updated to Debian Policy v3.8.1.0, no changes needed.

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 11 Apr 2009 15:49:56 +0300

libvmime (0.8.1-3) unstable; urgency=low

  * Applied patch for GCC 4.3 (closes: #461696)
  * Updated watch file (closes: #462829)

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 08 Mar 2008 16:12:07 +0200

libvmime (0.8.1-2) unstable; urgency=low

  * New maintainer email address.
  * Added patch for GnuTLS 2.2 (closes: #450854)
  * Modified Debian watch file to use SF script (closes: #450117)
  * Updated to Debian Policy v3.7.3. no changes needed.

 -- Mattias Nordstrom <mnordstr@debian.org>  Mon, 21 Jan 2008 13:54:32 +0200

libvmime (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Added patch by Martin Michlmayr to fix FTBFS with GCC 4.3 (closes: #421117)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 14 Jul 2007 17:26:32 +0300

libvmime (0.8.0+cvs20061009-1) unstable; urgency=low

  * New upstream CVS checkout.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Mon,  9 Oct 2006 19:53:39 +0300

libvmime (0.8.0-3) unstable; urgency=low

  * Removed post* and pre* files as they didn't do anything.
  * Updated to Debian Policy v3.7.2, no changes needed.
  * Updated to debhelper version 5.
  * Updated copyright file to include proper license information.
  * Removed old /usr/share/pkgconfig line from libvmime-dev.install.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 13 May 2006 23:34:05 +0300

libvmime (0.8.0-2) unstable; urgency=low

  * Added dependency on libgnutls-dev and libgsasl7-dev for libvmime-dev
    (closes: #348879)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 21 Jan 2006 15:25:10 +0200

libvmime (0.8.0-1) unstable; urgency=low

  * Initial release (closes: #341388)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Wed, 30 Nov 2005 22:37:56 +0200
