=== debian/control ===
Source: libvmime
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends: autotools-dev,
  debhelper (>= 9.20160115),
  dh-autoreconf,
  libgnutls28-dev (>= 3.4.0),
  libgsasl7-dev
Standards-Version: 3.9.6
Section: libs
Vcs-Git: https://anonscm.debian.org/pkg-giraffe/libvmime.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-giraffe/libvmime.git/
Homepage: http://www.vmime.org/

Package: libvmime-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvmime0 (= ${binary:Version}),
  libgnutls28-dev (>= 1.2.0),
  libgsasl7-dev
Description: C++ mail library (development files)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
 .
 This package contains the development headers and the static library to
 develop applications using the libvmime.

Package: libvmime0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ mail library (runtime library)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
